=== debian/changelog ===
ros-humble-rosbag2-storage-default-plugins (0.15.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.6-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.4-1jammy) jammy; urgency=high

  * ros2bag: move storage preset validation to sqlite3 plugin (#1135 <https://github.com/ros2/rosbag2/issues/1135>) (#1184 <https://github.com/ros2/rosbag2/issues/1184>)
  * [humble] Store db schema version and ROS_DISTRO name in db3 files (backport #1156 <https://github.com/ros2/rosbag2/issues/1156>) (#1175 <https://github.com/ros2/rosbag2/issues/1175>)
  * Contributors: Daisuke Nishimatsu, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.3-1jammy) jammy; urgency=high

  * Add support for old db3 schema used on distros prior to Foxy (#1090 <https://github.com/ros2/rosbag2/issues/1090>) (#1094 <https://github.com/ros2/rosbag2/issues/1094>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Contributors: Esteve Fernandez, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.13.0-1jammy) jammy; urgency=high

  * Emit a warning rather than crash when a message is too big for sqlite (#919 <https://github.com/ros2/rosbag2/issues/919>)
  * Contributors: William Woodall

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.12.0-1jammy) jammy; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.10.0-1jammy) jammy; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Contributors: sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.9.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.8.0-1jammy) jammy; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * Contributors: Emerson Knapp, jhdcs

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.7.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.6.0-1jammy) jammy; urgency=high

  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Mutex protection for db writing and stl collections in writer & storage (#603 <https://github.com/ros2/rosbag2/issues/603>)
  * SQLite storage optimized by default (#568 <https://github.com/ros2/rosbag2/issues/568>)
  * Contributors: Adam Dąbrowski, P. J. Reed

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Feb 2021 00:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.5.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000


