## ros-humble-rosbag2-storage-default-plugins 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-storage-default-plugins (0.15.12-1bookworm) bookworm; urgency=high

  * [Humble] Add topics with zero message counts to the SQLiteStorage::get_metadata(). (#1722 <https://github.com/ros2/rosbag2/issues/1722>)
  * [humble] Fix for failing throws_on_invalid_pragma_in_config_file test on Windows (backport #1742 <https://github.com/ros2/rosbag2/issues/1742>) (#1748 <https://github.com/ros2/rosbag2/issues/1748>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.10-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.7-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.6-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.4-1bookworm) bookworm; urgency=high

  * ros2bag: move storage preset validation to sqlite3 plugin (#1135 <https://github.com/ros2/rosbag2/issues/1135>) (#1184 <https://github.com/ros2/rosbag2/issues/1184>)
  * [humble] Store db schema version and ROS_DISTRO name in db3 files (backport #1156 <https://github.com/ros2/rosbag2/issues/1156>) (#1175 <https://github.com/ros2/rosbag2/issues/1175>)
  * Contributors: Daisuke Nishimatsu, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.3-1bookworm) bookworm; urgency=high

  * Add support for old db3 schema used on distros prior to Foxy (#1090 <https://github.com/ros2/rosbag2/issues/1090>) (#1094 <https://github.com/ros2/rosbag2/issues/1094>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Contributors: Esteve Fernandez, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.15.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.14.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.13.0-1bookworm) bookworm; urgency=high

  * Emit a warning rather than crash when a message is too big for sqlite (#919 <https://github.com/ros2/rosbag2/issues/919>)
  * Contributors: William Woodall

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.12.0-1bookworm) bookworm; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.11.0-1bookworm) bookworm; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.10.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.10.0-1bookworm) bookworm; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Contributors: sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.9.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 16 May 2021 16:00:00 -0000

ros-humble-rosbag2-storage-default-plugins (0.8.0-1bookworm) bookworm; urgency=high


